OpenVDB: openvdb::v6_1::tools::level_set_util_internal Namespace Reference

OpenVDB 6.1.0

Classes | Functions
openvdb::v6_1::tools::level_set_util_internal Namespace Reference

## Classes
struct | ComputeActiveVoxelCount
struct | ConnectNodeMaskSegments
struct | ExpandLeafNodeRegion
struct | ExpandNarrowbandMask
struct | FillLeafNodeVoxels
struct | FillMaskBoundary
struct | FindMinTileValue
struct | FindMinVoxelValue
struct | FlipRegionSign
struct | FloodFillSign
struct | GreaterCount
struct | GridOrTreeConstructor
struct | GridOrTreeConstructor< Grid< TreeType > >
struct | LabelBoundaryVoxels
| Negative active values are set `0`, everything else is set to `1`. More...
struct | MaskedCopy
struct | MaskInteriorTiles
struct | MaskInteriorVoxels
struct | MaskIsovalueCrossingVoxels
struct | MaskSegmentGroup
struct | NodeMaskSegment
struct | PopulateTree
struct | SDFTilesToFogVolume
struct | SDFVoxelsToFogVolume
struct | SegmentNodeMask

## Functions
template<class TreeType >
TreeType::template ValueConverter< char >::Type::Ptr | computeEnclosedRegionMask (const TreeType &tree, typename TreeType::ValueType isovalue, const typename TreeType::template ValueConverter< bool >::Type *fillMask)
| Constructs a memory light char tree that represents the exterior region with `+1` and the interior regions with `-1`. More...
template<class TreeType >
TreeType::template ValueConverter< bool >::Type::Ptr | computeInteriorMask (const TreeType &tree, typename TreeType::ValueType iso)
template<typename NodeType >
void | nodeMaskSegmentation (const NodeType &node, std::vector< typename NodeMaskSegment< NodeType >::Ptr > &segments)

## Function Documentation

## ◆ computeEnclosedRegionMask()

TreeType::template ValueConverter<char>::Type::Ptr openvdb::v6_1::tools::level_set_util_internal::computeEnclosedRegionMask | ( | const TreeType & | tree,
|  | typename TreeType::ValueType | isovalue,
|  | const typename TreeType::template ValueConverter< bool >::Type * | fillMask
| ) |  |
| inline

Constructs a memory light char tree that represents the exterior region with `+1` and the interior regions with `-1`.

## ◆ computeInteriorMask()

TreeType::template ValueConverter<bool>::Type::Ptr openvdb::v6_1::tools::level_set_util_internal::computeInteriorMask | ( | const TreeType & | tree,
|  | typename TreeType::ValueType | iso
| ) |  |
| inline

## ◆ nodeMaskSegmentation()

void openvdb::v6_1::tools::level_set_util_internal::nodeMaskSegmentation | ( | const NodeType & | node,
|  | std::vector< typename NodeMaskSegment< NodeType >::Ptr > & | segments
| ) |  |
| inline